## org.eclipse.emf.ecore.xml.type.internal
Class RegEx.REUtil

    java.lang.Object
      org.eclipse.emf.ecore.xml.type.internal.RegEx.REUtil

Enclosing class:
  RegEx

    public static final class RegEx.REUtil

extends java.lang.Object

Method Summary
`static RegEx.RegularExpression` `createRegex(java.lang.String pattern, java.lang.String options)` Creates a RegularExpression instance.
`static void` `main(java.lang.String[] argv)` Sample entry.
`static boolean` `matches(java.lang.String regex, java.lang.String target)`
`static boolean` `matches(java.lang.String regex, java.lang.String options, java.lang.String target)`
`static java.lang.String` `quoteMeta(java.lang.String literal)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### main

    public static void main(java.lang.String[] argv)

  Sample entry.
  Usage: `org.apache.xerces.utils.regex.REUtil <regex> <string>`

### createRegex

    public static RegEx.RegularExpression createRegex(java.lang.String pattern,
                                                      java.lang.String options)
                                               throws RegEx.ParseException

  Creates a RegularExpression instance. This method caches created instances.

  Throws:
    `RegEx.ParseException`
  See Also:
    `RegularExpression#RegularExpression(String, String)`

### matches

    public static boolean matches(java.lang.String regex,
                                  java.lang.String target)
                           throws RegEx.ParseException

  Throws:
    `RegEx.ParseException`
  See Also:
    `RegEx.RegularExpression.matches(String)`

### matches

    public static boolean matches(java.lang.String regex,
                                  java.lang.String options,
                                  java.lang.String target)
                           throws RegEx.ParseException

  Throws:
    `RegEx.ParseException`
  See Also:
    `RegEx.RegularExpression.matches(String)`

### quoteMeta

    public static java.lang.String quoteMeta(java.lang.String literal)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.